<?php
namespace nur\sery\schema\types;

class tkey implements IType {
  static function ensure_key(&$key): void {
    if (!is_string($key) && !is_int($key)) $key = strval($key);
  }

  static function ensure_nkey(&$key): void {
    if ($key !== null) self::ensure_key($key);
  }
}
